<?php
/**
 * Created by PhpStorm.
 * User: Imac
 * Date: 28/11/2017
 * Time: 17:44
 */

namespace Actigraph\ActipageBaseBundle\Entity;

use Doctrine\ORM\Mapping as ORM;



/**
 * GMapIframe
 *
 * @ORM\Table(name="GMapIFrame")
 * @ORM\Entity
 */

class GMapIframe
{

    /**
     * @var integer
     *
     * @ORM\Column(name="GMapIFrameID", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $GMapIFrameID;

    /**
     * @var string
     *
     * @ORM\Column(name="GMapIFrameName", type="text", nullable=false)
     */
    private $GMapIFrameName;

    /**
     * @var string
     *
     * @ORM\Column(name="GMapIFrameContent", type="text", nullable=false)
     */
    private $GMapIFrameContent;

    /**
     * @return int
     */
    public function getGMapIFrameID()
    {
        return $this->GMapIFrameID;
    }

    /**
     * @param int $GMapIFrameID
     */
    public function setGMapIFrameID($GMapIFrameID)
    {
        $this->GMapIFrameID = $GMapIFrameID;
    }

    /**
     * @return string
     */
    public function getGMapIFrameName()
    {
        return $this->GMapIFrameName;
    }

    /**
     * @param string $GMapIFrameName
     */
    public function setGMapIFrameName($GMapIFrameName)
    {
        $this->GMapIFrameName = $GMapIFrameName;
    }

    /**
     * @return string
     */
    public function getGMapIFrameContent()
    {
        return $this->GMapIFrameContent;
    }

    /**
     * @param string $GMapIFrameContent
     */
    public function setGMapIFrameContent($GMapIFrameContent)
    {
        $this->GMapIFrameContent = $GMapIFrameContent;
    }

}